#==============================================================================
# package      DE_EPAGES::XML::API::SAXWriter
# state        public
#------------------------------------------------------------------------------
# description  This module enhaces XML::SAX::Writer::XML
#==============================================================================
package DE_EPAGES::XML::API::SAXWriter;
use base qw (XML::SAX::Writer::XML);

use strict;
use DE_EPAGES::XML::API::Converter;

sub setConverter {
    my $self = shift;
    my ($Encoder) = @_;

    # dont set default over existing
    return $self if defined $self->{'Encoder'} and not defined $Encoder;

    $self->{'EncodeTo'} = 'utf-8' if $self->{'EncodeTo'} eq 'utf8';
    $Encoder = DE_EPAGES::XML::API::Converter->new(
        $self->{'EncodeFrom'}, $self->{'EncodeTo'}) unless defined $Encoder;
    $self->{'Encoder'} = $Encoder;

    return $self;
}


1;
